OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.ImagingCompatibility

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBImaging :: MonadIO m => m Bool
- gl_ARB_imaging :: Bool
- pattern GL_BLEND_COLOR :: GLenum
- pattern GL_BLEND_EQUATION :: GLenum
- pattern GL_COLOR_MATRIX :: GLenum
- pattern GL_COLOR_MATRIX_STACK_DEPTH :: GLenum
- pattern GL_COLOR_TABLE :: GLenum
- pattern GL_COLOR_TABLE_ALPHA_SIZE :: GLenum
- pattern GL_COLOR_TABLE_BIAS :: GLenum
- pattern GL_COLOR_TABLE_BLUE_SIZE :: GLenum
- pattern GL_COLOR_TABLE_FORMAT :: GLenum
- pattern GL_COLOR_TABLE_GREEN_SIZE :: GLenum
- pattern GL_COLOR_TABLE_INTENSITY_SIZE :: GLenum
- pattern GL_COLOR_TABLE_LUMINANCE_SIZE :: GLenum
- pattern GL_COLOR_TABLE_RED_SIZE :: GLenum
- pattern GL_COLOR_TABLE_SCALE :: GLenum
- pattern GL_COLOR_TABLE_WIDTH :: GLenum
- pattern GL_CONSTANT_ALPHA :: GLenum
- pattern GL_CONSTANT_BORDER :: GLenum
- pattern GL_CONSTANT_COLOR :: GLenum
- pattern GL_CONVOLUTION_1D :: GLenum
- pattern GL_CONVOLUTION_2D :: GLenum
- pattern GL_CONVOLUTION_BORDER_COLOR :: GLenum
- pattern GL_CONVOLUTION_BORDER_MODE :: GLenum
- pattern GL_CONVOLUTION_FILTER_BIAS :: GLenum
- pattern GL_CONVOLUTION_FILTER_SCALE :: GLenum
- pattern GL_CONVOLUTION_FORMAT :: GLenum
- pattern GL_CONVOLUTION_HEIGHT :: GLenum
- pattern GL_CONVOLUTION_WIDTH :: GLenum
- pattern GL_FUNC_ADD :: GLenum
- pattern GL_FUNC_REVERSE_SUBTRACT :: GLenum
- pattern GL_FUNC_SUBTRACT :: GLenum
- pattern GL_HISTOGRAM :: GLenum
- pattern GL_HISTOGRAM_ALPHA_SIZE :: GLenum
- pattern GL_HISTOGRAM_BLUE_SIZE :: GLenum
- pattern GL_HISTOGRAM_FORMAT :: GLenum
- pattern GL_HISTOGRAM_GREEN_SIZE :: GLenum
- pattern GL_HISTOGRAM_LUMINANCE_SIZE :: GLenum
- pattern GL_HISTOGRAM_RED_SIZE :: GLenum
- pattern GL_HISTOGRAM_SINK :: GLenum
- pattern GL_HISTOGRAM_WIDTH :: GLenum
- pattern GL_MAX :: GLenum
- pattern GL_MAX_COLOR_MATRIX_STACK_DEPTH :: GLenum
- pattern GL_MAX_CONVOLUTION_HEIGHT :: GLenum
- pattern GL_MAX_CONVOLUTION_WIDTH :: GLenum
- pattern GL_MIN :: GLenum
- pattern GL_MINMAX :: GLenum
- pattern GL_MINMAX_FORMAT :: GLenum
- pattern GL_MINMAX_SINK :: GLenum
- pattern GL_ONE_MINUS_CONSTANT_ALPHA :: GLenum
- pattern GL_ONE_MINUS_CONSTANT_COLOR :: GLenum
- pattern GL_POST_COLOR_MATRIX_ALPHA_BIAS :: GLenum
- pattern GL_POST_COLOR_MATRIX_ALPHA_SCALE :: GLenum
- pattern GL_POST_COLOR_MATRIX_BLUE_BIAS :: GLenum
- pattern GL_POST_COLOR_MATRIX_BLUE_SCALE :: GLenum
- pattern GL_POST_COLOR_MATRIX_COLOR_TABLE :: GLenum
- pattern GL_POST_COLOR_MATRIX_GREEN_BIAS :: GLenum
- pattern GL_POST_COLOR_MATRIX_GREEN_SCALE :: GLenum
- pattern GL_POST_COLOR_MATRIX_RED_BIAS :: GLenum
- pattern GL_POST_COLOR_MATRIX_RED_SCALE :: GLenum
- pattern GL_POST_CONVOLUTION_ALPHA_BIAS :: GLenum
- pattern GL_POST_CONVOLUTION_ALPHA_SCALE :: GLenum
- pattern GL_POST_CONVOLUTION_BLUE_BIAS :: GLenum
- pattern GL_POST_CONVOLUTION_BLUE_SCALE :: GLenum
- pattern GL_POST_CONVOLUTION_COLOR_TABLE :: GLenum
- pattern GL_POST_CONVOLUTION_GREEN_BIAS :: GLenum
- pattern GL_POST_CONVOLUTION_GREEN_SCALE :: GLenum
- pattern GL_POST_CONVOLUTION_RED_BIAS :: GLenum
- pattern GL_POST_CONVOLUTION_RED_SCALE :: GLenum
- pattern GL_PROXY_COLOR_TABLE :: GLenum
- pattern GL_PROXY_HISTOGRAM :: GLenum
- pattern GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE :: GLenum
- pattern GL_PROXY_POST_CONVOLUTION_COLOR_TABLE :: GLenum
- pattern GL_REDUCE :: GLenum
- pattern GL_REPLICATE_BORDER :: GLenum
- pattern GL_SEPARABLE_2D :: GLenum
- pattern GL_TABLE_TOO_LARGE :: GLenum
- glBlendColor :: MonadIO m => GLfloat -> GLfloat -> GLfloat -> GLfloat -> m ()
- glBlendEquation :: MonadIO m => GLenum -> m ()
- glColorSubTable :: MonadIO m => GLenum -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glColorTable :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glColorTableParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glColorTableParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glConvolutionFilter1D :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glConvolutionFilter2D :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glConvolutionParameterf :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glConvolutionParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glConvolutionParameteri :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glConvolutionParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glCopyColorSubTable :: MonadIO m => GLenum -> GLsizei -> GLint -> GLint -> GLsizei -> m ()
- glCopyColorTable :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLsizei -> m ()
- glCopyConvolutionFilter1D :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLsizei -> m ()
- glCopyConvolutionFilter2D :: MonadIO m => GLenum -> GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glGetColorTable :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr a -> m ()
- glGetColorTableParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetColorTableParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetConvolutionFilter :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr a -> m ()
- glGetConvolutionParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetConvolutionParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetHistogram :: MonadIO m => GLenum -> GLboolean -> GLenum -> GLenum -> Ptr a -> m ()
- glGetHistogramParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetHistogramParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetMinmax :: MonadIO m => GLenum -> GLboolean -> GLenum -> GLenum -> Ptr a -> m ()
- glGetMinmaxParameterfv :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetMinmaxParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glGetSeparableFilter :: MonadIO m => GLenum -> GLenum -> GLenum -> Ptr a -> Ptr b -> Ptr c -> m ()
- glHistogram :: MonadIO m => GLenum -> GLsizei -> GLenum -> GLboolean -> m ()
- glMinmax :: MonadIO m => GLenum -> GLenum -> GLboolean -> m ()
- glResetHistogram :: MonadIO m => GLenum -> m ()
- glResetMinmax :: MonadIO m => GLenum -> m ()
- glSeparableFilter2D :: MonadIO m => GLenum -> GLenum -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> Ptr b -> m ()

# Extension Support

glGetARBImaging :: MonadIO m => m Bool Source #

Is the ARB_imaging extension supported?

gl_ARB_imaging :: Bool Source #

Is the ARB_imaging extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBImaging` in those cases instead.

# Enums

pattern GL_BLEND_COLOR :: GLenum Source #

pattern GL_BLEND_EQUATION :: GLenum Source #

pattern GL_COLOR_MATRIX :: GLenum Source #

pattern GL_COLOR_MATRIX_STACK_DEPTH :: GLenum Source #

pattern GL_COLOR_TABLE :: GLenum Source #

pattern GL_COLOR_TABLE_ALPHA_SIZE :: GLenum Source #

pattern GL_COLOR_TABLE_BIAS :: GLenum Source #

pattern GL_COLOR_TABLE_BLUE_SIZE :: GLenum Source #

pattern GL_COLOR_TABLE_FORMAT :: GLenum Source #

pattern GL_COLOR_TABLE_GREEN_SIZE :: GLenum Source #

pattern GL_COLOR_TABLE_INTENSITY_SIZE :: GLenum Source #

pattern GL_COLOR_TABLE_LUMINANCE_SIZE :: GLenum Source #

pattern GL_COLOR_TABLE_RED_SIZE :: GLenum Source #

pattern GL_COLOR_TABLE_SCALE :: GLenum Source #

pattern GL_COLOR_TABLE_WIDTH :: GLenum Source #

pattern GL_CONSTANT_ALPHA :: GLenum Source #

pattern GL_CONSTANT_BORDER :: GLenum Source #

pattern GL_CONSTANT_COLOR :: GLenum Source #

pattern GL_CONVOLUTION_1D :: GLenum Source #

pattern GL_CONVOLUTION_2D :: GLenum Source #

pattern GL_CONVOLUTION_BORDER_COLOR :: GLenum Source #

pattern GL_CONVOLUTION_BORDER_MODE :: GLenum Source #

pattern GL_CONVOLUTION_FILTER_BIAS :: GLenum Source #

pattern GL_CONVOLUTION_FILTER_SCALE :: GLenum Source #

pattern GL_CONVOLUTION_FORMAT :: GLenum Source #

pattern GL_CONVOLUTION_HEIGHT :: GLenum Source #

pattern GL_CONVOLUTION_WIDTH :: GLenum Source #

pattern GL_FUNC_ADD :: GLenum Source #

pattern GL_FUNC_REVERSE_SUBTRACT :: GLenum Source #

pattern GL_FUNC_SUBTRACT :: GLenum Source #

pattern GL_HISTOGRAM :: GLenum Source #

pattern GL_HISTOGRAM_ALPHA_SIZE :: GLenum Source #

pattern GL_HISTOGRAM_BLUE_SIZE :: GLenum Source #

pattern GL_HISTOGRAM_FORMAT :: GLenum Source #

pattern GL_HISTOGRAM_GREEN_SIZE :: GLenum Source #

pattern GL_HISTOGRAM_LUMINANCE_SIZE :: GLenum Source #

pattern GL_HISTOGRAM_RED_SIZE :: GLenum Source #

pattern GL_HISTOGRAM_SINK :: GLenum Source #

pattern GL_HISTOGRAM_WIDTH :: GLenum Source #

pattern GL_MAX :: GLenum Source #

pattern GL_MAX_COLOR_MATRIX_STACK_DEPTH :: GLenum Source #

pattern GL_MAX_CONVOLUTION_HEIGHT :: GLenum Source #

pattern GL_MAX_CONVOLUTION_WIDTH :: GLenum Source #

pattern GL_MIN :: GLenum Source #

pattern GL_MINMAX :: GLenum Source #

pattern GL_MINMAX_FORMAT :: GLenum Source #

pattern GL_MINMAX_SINK :: GLenum Source #

pattern GL_ONE_MINUS_CONSTANT_ALPHA :: GLenum Source #

pattern GL_ONE_MINUS_CONSTANT_COLOR :: GLenum Source #

pattern GL_POST_COLOR_MATRIX_ALPHA_BIAS :: GLenum Source #

pattern GL_POST_COLOR_MATRIX_ALPHA_SCALE :: GLenum Source #

pattern GL_POST_COLOR_MATRIX_BLUE_BIAS :: GLenum Source #

pattern GL_POST_COLOR_MATRIX_BLUE_SCALE :: GLenum Source #

pattern GL_POST_COLOR_MATRIX_COLOR_TABLE :: GLenum Source #

pattern GL_POST_COLOR_MATRIX_GREEN_BIAS :: GLenum Source #

pattern GL_POST_COLOR_MATRIX_GREEN_SCALE :: GLenum Source #

pattern GL_POST_COLOR_MATRIX_RED_BIAS :: GLenum Source #

pattern GL_POST_COLOR_MATRIX_RED_SCALE :: GLenum Source #

pattern GL_POST_CONVOLUTION_ALPHA_BIAS :: GLenum Source #

pattern GL_POST_CONVOLUTION_ALPHA_SCALE :: GLenum Source #

pattern GL_POST_CONVOLUTION_BLUE_BIAS :: GLenum Source #

pattern GL_POST_CONVOLUTION_BLUE_SCALE :: GLenum Source #

pattern GL_POST_CONVOLUTION_COLOR_TABLE :: GLenum Source #

pattern GL_POST_CONVOLUTION_GREEN_BIAS :: GLenum Source #

pattern GL_POST_CONVOLUTION_GREEN_SCALE :: GLenum Source #

pattern GL_POST_CONVOLUTION_RED_BIAS :: GLenum Source #

pattern GL_POST_CONVOLUTION_RED_SCALE :: GLenum Source #

pattern GL_PROXY_COLOR_TABLE :: GLenum Source #

pattern GL_PROXY_HISTOGRAM :: GLenum Source #

pattern GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE :: GLenum Source #

pattern GL_PROXY_POST_CONVOLUTION_COLOR_TABLE :: GLenum Source #

pattern GL_REDUCE :: GLenum Source #

pattern GL_REPLICATE_BORDER :: GLenum Source #

pattern GL_SEPARABLE_2D :: GLenum Source #

pattern GL_TABLE_TOO_LARGE :: GLenum Source #

# Functions

glBlendColor Source #

Arguments

:: MonadIO m |
=> GLfloat | `red` of type `ColorF`.
-> GLfloat | `green` of type `ColorF`.
-> GLfloat | `blue` of type `ColorF`.
-> GLfloat | `alpha` of type `ColorF`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glBlendEquation Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type BlendEquationModeEXT.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 3.x or OpenGL 4.x.

glColorSubTable Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTarget.
-> GLsizei | `start`.
-> GLsizei | `count`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `data` pointing to `COMPSIZE(format,type,count)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glColorTable Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `table` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glColorTableParameterfv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTarget.
-> GLenum | `pname` of type ColorTableParameterPNameSGI.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glColorTableParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTarget.
-> GLenum | `pname` of type ColorTableParameterPNameSGI.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glConvolutionFilter1D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `image` pointing to `COMPSIZE(format,type,width)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glConvolutionFilter2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `image` pointing to `COMPSIZE(format,type,width,height)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glConvolutionParameterf Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTarget.
-> GLenum | `pname` of type ConvolutionParameterEXT.
-> GLfloat | `params` of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glConvolutionParameterfv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTarget.
-> GLenum | `pname` of type ConvolutionParameterEXT.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedFloat32`.
-> m () |

Manual page for OpenGL 2.x.

glConvolutionParameteri Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTarget.
-> GLenum | `pname` of type ConvolutionParameterEXT.
-> GLint | `params` of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glConvolutionParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTarget.
-> GLenum | `pname` of type ConvolutionParameterEXT.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `CheckedInt32`.
-> m () |

Manual page for OpenGL 2.x.

glCopyColorSubTable Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTarget.
-> GLsizei | `start`.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> m () |

Manual page for OpenGL 2.x.

glCopyColorTable Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> m () |

Manual page for OpenGL 2.x.

glCopyConvolutionFilter1D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> m () |

Manual page for OpenGL 2.x.

glCopyConvolutionFilter2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTarget.
-> GLenum | `internalformat` of type InternalFormat.
-> GLint | `x` of type `WinCoord`.
-> GLint | `y` of type `WinCoord`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 2.x.

glGetColorTable Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTarget.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `table` pointing to `COMPSIZE(target,format,type)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glGetColorTableParameterfv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTarget.
-> GLenum | `pname` of type GetColorTableParameterPNameSGI.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetColorTableParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ColorTableTarget.
-> GLenum | `pname` of type GetColorTableParameterPNameSGI.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetConvolutionFilter Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTarget.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `image` pointing to `COMPSIZE(target,format,type)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glGetConvolutionParameterfv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTarget.
-> GLenum | `pname` of type ConvolutionParameterEXT.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetConvolutionParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type ConvolutionTarget.
-> GLenum | `pname` of type ConvolutionParameterEXT.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetHistogram Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type HistogramTargetEXT.
-> GLboolean | `reset` of type Boolean.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `values` pointing to `COMPSIZE(target,format,type)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glGetHistogramParameterfv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type HistogramTargetEXT.
-> GLenum | `pname` of type GetHistogramParameterPNameEXT.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetHistogramParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type HistogramTargetEXT.
-> GLenum | `pname` of type GetHistogramParameterPNameEXT.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetMinmax Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MinmaxTargetEXT.
-> GLboolean | `reset` of type Boolean.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `values` pointing to `COMPSIZE(target,format,type)` elements of type `a`.
-> m () |

Manual page for OpenGL 2.x.

glGetMinmaxParameterfv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MinmaxTargetEXT.
-> GLenum | `pname` of type GetMinmaxParameterPNameEXT.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual page for OpenGL 2.x.

glGetMinmaxParameteriv Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MinmaxTargetEXT.
-> GLenum | `pname` of type GetMinmaxParameterPNameEXT.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 2.x.

glGetSeparableFilter Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type SeparableTargetEXT.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `row` pointing to `COMPSIZE(target,format,type)` elements of type `a`.
-> Ptr b | `column` pointing to `COMPSIZE(target,format,type)` elements of type `b`.
-> Ptr c | `span` pointing to `COMPSIZE(target,format,type)` elements of type `c`.
-> m () |

Manual page for OpenGL 2.x.

glHistogram Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type HistogramTargetEXT.
-> GLsizei | `width`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLboolean | `sink` of type Boolean.
-> m () |

Manual page for OpenGL 2.x.

glMinmax Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MinmaxTargetEXT.
-> GLenum | `internalformat` of type InternalFormat.
-> GLboolean | `sink` of type Boolean.
-> m () |

Manual page for OpenGL 2.x.

glResetHistogram Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type HistogramTargetEXT.
-> m () |

Manual page for OpenGL 2.x.

glResetMinmax Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type MinmaxTargetEXT.
-> m () |

Manual page for OpenGL 2.x.

glSeparableFilter2D Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type SeparableTargetEXT.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLenum | `type` of type PixelType.
-> Ptr a | `row` pointing to `COMPSIZE(target,format,type,width)` elements of type `a`.
-> Ptr b | `column` pointing to `COMPSIZE(target,format,type,height)` elements of type `b`.
-> m () |

Manual page for OpenGL 2.x.